Skip to content

Attack Defense (Template) ​

3 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getAttackDefenseSettingTemplateGETGet attack and defense template setting
modifyAttackDefenseSettingTemplatePATCHModify attack and defense template setting
resetAttackDefenseSettingTemplatePATCHReset attack and defense template setting

getAttackDefenseSettingTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/attack-defense

Get attack and defense template setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite ID
json
// omada_call_operation
{
  "operationId": "getAttackDefenseSettingTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get attack and defense template setting.
The interface requires one of the permissions:
Global Site Template Manager View Only

modifyAttackDefenseSettingTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/attack-defense

Modify attack and defense template setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite ID

Request body — application/json (required) — schema AttackDefenseSetting

FieldTypeRequiredDescription
tcpConnEnablebooleanyesMulti-connections TCP SYN flood enable of the attack defense setting.
tcpConnLimitintegernoMulti-connections TCP SYN flood limit should be within the range of 100–99999.
udpConnEnablebooleanyesMulti-connections UDP flood enable of the attack defense setting.
udpConnLimitintegernoMulti-connections UDP flood limit should be within the range of 100–99999.
icmpConnEnablebooleanyesMulti-connections ICMP flood enable of the attack defense setting.
icmpConnLimitintegernoMulti-connections ICMP flood limit should be within the range of 100–99999.
tcpSrcEnablebooleanyesStationary source TCP SYN flood enable of the attack defense setting.
tcpSrcLimitintegernoStationary source TCP SYN flood limit should be within the range of 100–99999.
udpSrcEnablebooleanyesStationary source UDP flood enable of the attack defense setting.
udpSrcLimitintegernoStationary source UDP flood limit should be within the range of 100–99999.
icmpSrcEnablebooleanyesStationary source ICMP flood enable of the attack defense setting.
icmpSrcLimitintegernoStationary source ICMP flood limit should be within the range of 100–99999.
tcpScanEnablebooleanyesBlock TCP scan enable of the attack defense setting.
tcpScanRejectbooleannoBlock TCP scan with reject of the attack defense setting.
pingDeathEnablebooleanyesBlock ping of death of the attack defense setting.
largePingEnablebooleanyesBlock large ping of the attack defense setting.
largePingThresholdintegernoBlock large ping threshold of the attack defense setting, Value is between 28 and 65535.
pingWanEnablebooleanyesBlock ping from WAN of the attack defense setting.
winNukeAttackEnablebooleanyesBlock WinNuke attack of the attack defense setting.
tcpSynFinEnablebooleanyesBlock TCP packets with SYN and FIN Bits set of the attack defense setting.
tcpFinNoAckEnablebooleanyesBlock TCP packets with FIN Bit set but no ACK Bit set of the attack defense setting.
specifiedOptionEnablebooleanyesBlock packets with specified options of the attack defense setting.
specifiedOptionSpecifiedOptionOpenApiVOno(SpecifiedOptionOpenApiVO not expanded; call omada_get_schema "SpecifiedOptionOpenApiVO")
icmpTimestampRequestRejectbooleannoICMP Timestamp Request setting of the attack defense setting.
json
// omada_call_operation
{
  "operationId": "modifyAttackDefenseSettingTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify attack and defense template setting.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33667 - The gateway does not support custom large ping threshold.
-33668 - The gateway does not support Block TCP Scan with RST.
-33669 - The gateway does not support ICMP Timestamp Request.

resetAttackDefenseSettingTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/attack-defense/reset

Reset attack and defense template setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite ID
json
// omada_call_operation
{
  "operationId": "resetAttackDefenseSettingTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Reset attack and defense template setting.
The interface requires one of the permissions:
Global Site Template Manager Modify

Released under the MIT License. Not affiliated with or endorsed by TP-Link.